﻿using database;

namespace Forms
{
    public partial class FormMain : Form
    {

        public FormMain()
        {
            InitializeComponent();
        }

        private void carModelToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(FormCarModel));
            if (service is FormCarModel form)
            {
                form.ShowDialog();
            }
        }

        private void carToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(FormCar));
            if (service is FormCar form)
            {
                form.ShowDialog();
            }
        }

        private void branchToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(FormBranch));
            if (service is FormBranch form)
            {
                form.ShowDialog();
            }
        }

        private void clientToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(FormBranch));
            if (service is FormBranch form)
            {
                form.ShowDialog();
            }
        }

        private void rentalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(FormRental));
            if (service is FormRental form)
            {
                form.ShowDialog();
            }
        }

        private void buttonTest_Click(object sender, EventArgs e)
        {
            var service = Program.ServiceProvider?.GetService(typeof(Abstractions));
            if (service is Abstractions bd)
            {
                var cars = bd.GetCars();
                int id = cars.Last().Id;
                // Замените "GetCars" на метод вашего класса, который выполняет запрос к сущности
                DateTime startTime = DateTime.Now;
                bd.DeleteCar(id); // Выполняем запрос к сущности
                DateTime endTime = DateTime.Now;

                // Выводим время выполнения запроса в консоль
                textBoxTest.Text = $"Время выполнения запроса: {(endTime - startTime).TotalMilliseconds} миллисекунд";
            }
        }

        /*
        private Abstractions bd = new Implementation();
        private void button1_Click(object sender, EventArgs e)
        {
            List<Branch> branches = bd.GetBranches();

            // Очищаем dataGridView1 перед заполнением новыми данными
            dataGridView1.Rows.Clear();

            // Предварительно определяем столбцы, если это не было сделано ранее
            if (dataGridView1.ColumnCount == 0)
            {
                dataGridView1.Columns.Add("Id", "ID");
                dataGridView1.Columns.Add("Name", "Name");
                dataGridView1.Columns.Add("Address", "Address");
                dataGridView1.Columns.Add("Phone", "Phone");
                dataGridView1.Columns.Add("WorkingHours", "Working Hours");
            }

            // Заполняем dataGridView1 данными из списка branches
            foreach (Branch branch in branches)
            {
                dataGridView1.Rows.Add(branch.Id, branch.Name, branch.Address, branch.Phone, branch.WorkingHours);
            }
        }
        */
    }
}
